View Issue Details

IDProjectCategoryView StatusLast Update
0000163VisualDifferFolders differpublic2013-09-12 17:06
ReportertkmantisAssigned Toadmin 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
PlatformMacintoshOSOS XOS Version10.6.8
Product Version1.5.1 
Target VersionFixed in Version1.5.6 
Summary0000163: Folder size totals are often incorrect (Resource Forks)
DescriptionWhen Visual Differ shows the size of folders in the comparison windows, the total often differs from the total size shown by the finder when you do get info on the folder. Even if the application is intending to exclude system files such as .DS_Store, it is still wrong sometimes, as I even saw the total size of a folder with a few files come up less than the sum of the sizes of the individual user created files in that folder.
TagsNo tags attached.

Relationships

related to 0000162 closedadmin When comparing files, need check resource fork also 

Activities

admin

2013-04-08 09:08

administrator   ~0000253

I'm unable to reproduce it, may you zip the files (left and right sides) and attach the zip to this bug so I can reproduce the problem? (The zip should be at least some kilobytes)

Filtered file sizes (like .DS_Store) must be included in total folders size

tkmantis

2013-04-08 15:27

reporter   ~0000256

I don't care whether you include or exclude .DS_Store and other filtered files, but behavior consistent with Finder would probably be better. I will have to get back to you later with test data.

admin

2013-04-08 16:04

administrator   ~0000260

I agree with you, indeed actually for every folder is (should be) reported the same file size reported by Finder.

I've tried to reproduce the bug without success, I hope you can prepare a test case.

tkmantis

2013-04-12 06:09

reporter   ~0000262

Actually, I realized this issue occurs when some of the files in the folder have resource forks. I do not think the count of bytes in the resource forks are being added into the total folder size.

admin

2013-04-12 06:28

administrator   ~0000263

I will take a look at resource forks very soon, honestly it isn't on my priority list, there are bugs to fix and other more general feature to add but I will check about resource forks size.

Thanks for your feedback

tkmantis

2013-07-04 04:51

reporter   ~0000298

Also when showing size of single files, resource fork is not included. So sizes of single files can be incorrect as well.

admin

2013-07-04 08:10

administrator   ~0000305

Honestly resource fork is a pain

Issue History

Date Modified Username Field Change
2013-04-07 20:20 tkmantis New Issue
2013-04-07 20:20 tkmantis Status new => assigned
2013-04-07 20:20 tkmantis Assigned To => admin
2013-04-08 09:08 admin Note Added: 0000253
2013-04-08 15:27 tkmantis Note Added: 0000256
2013-04-08 16:04 admin Note Added: 0000260
2013-04-12 06:09 tkmantis Note Added: 0000262
2013-04-12 06:28 admin Note Added: 0000263
2013-07-04 04:51 tkmantis Note Added: 0000298
2013-07-04 08:10 admin Note Added: 0000305
2013-09-01 15:34 admin Relationship added related to 0000184
2013-09-01 15:35 admin Relationship deleted related to 0000184
2013-09-01 15:35 admin Relationship added related to 0000162
2013-09-01 15:36 admin Status assigned => acknowledged
2013-09-01 15:37 admin Summary Folder size totals are often incorrect => Folder size totals are often incorrect (Resource Forks)
2013-09-12 17:06 admin Status acknowledged => closed
2013-09-12 17:06 admin Resolution open => fixed
2013-09-12 17:06 admin Fixed in Version => 1.5.6